Bug 83363 - (NET AIRO)airo.o in kernel 2.4.20 series is crashing.
(NET AIRO)airo.o in kernel 2.4.20 series is crashing.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jeff Garzik
:
: 88675 97187 (view as bug list)
Depends On:
Blocks: 79579 CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-02-03 07:54 EST by Ivo Sarak
Modified: 2013-07-02 22:09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2003-02-03 07:54:15 EST
Description of problem:
After error message "kernel BUG at skbuff.c:315!" all wireless traffic was dropped.

Version-Release number of selected component (if applicable):
RedHat Linux Public Beta Phoebe 8.0.93.

How reproducible:
Haven't tried...

Steps to Reproduce:
1. Upgrade RedHat 8.0 to Phoebe Beta 8.0.93;
2. Use Cisco 342 wireless adapter;

Actual results:
Traffic was dropped after 12 hours.


Expected results:
Nothing similar.

Additional info:
[root@machine root]# dmesg
Linux version 2.4.20-2.24 (bhcompile@daffy.perf.redhat.com) (gcc version
3.2.1 20021207 (Red Hat Linux 8.0 3.2.1-2)) #1 Mon Jan 20 17:51:45 EST 2003
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 0000000000f00000 (usable)
 BIOS-e820: 0000000000f00000 - 0000000001000000 (reserved)
 BIOS-e820: 0000000001000000 - 000000000f800000 (usable)
 BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
248MB LOWMEM available.
On node 0 totalpages: 63488
zone(0): 4096 pages.
zone(1): 59392 pages.
zone(2): 0 pages.
Kernel command line: ro root=/dev/hda2
Initializing CPU#0
Detected 666.717 MHz processor.
Speakup v-1.00 CVS: Fri Dec 13 20:12:48 EST 2002 : initialized
Console: colour VGA+ 80x25
Calibrating delay loop... 1330.38 BogoMIPS
Memory: 244028k/253952k available (1248k kernel code, 6528k reserved, 1041k
data, 156k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Dentry cache hash table entries: 32768 (order: 6, 262144 bytes)
Inode cache hash table entries: 16384 (order: 5, 131072 bytes)
Mount cache hash table entries: 512 (order: 0, 4096 bytes)
Buffer-cache hash table entries: 16384 (order: 4, 65536 bytes)
Page-cache hash table entries: 65536 (order: 6, 262144 bytes)
CPU: L1 I Cache: 64K (32 bytes/line), D cache 64K (32 bytes/line)
CPU: L2 Cache: 64K (32 bytes/line)
CPU:     After generic, caps: 00803135 80803035 00000000 00000000
CPU:             Common caps: 00803135 80803035 00000000 00000000
CPU: Centaur VIA Samuel 2 stepping 02
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
PCI: PCI BIOS revision 2.10 entry at 0xfb380, last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Using IRQ router VIA [1106/0686] at 00:07.0
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
speakup:  initialized device: /dev/synth, node (MAJOR 10, MINOR 25)
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x07 (Driver version 1.16)
Starting kswapd
VFS: Disk quotas vdquot_6.5.1
pty: 512 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS0 at 0x03f8 (irq = 4) is a 16550A
ttyS1 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10e
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
NET4: Frame Diverter 0.46
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00beta-2.4
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller at PCI slot 00:07.1
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: VIA vt82c686b (rev 40) IDE UDMA100 controller on pci00:07.1
    ide0: BM-DMA at 0xc000-0xc007, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xc008-0xc00f, BIOS settings: hdc:pio, hdd:pio
hda: HITACHI_DK23DA-40, ATA DISK drive
hda: DMA disabled
blk: queue c03bdf20, I/O limit 4095Mb (mask 0xffffffff)
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hda: host protected area => 1
hda: 78140160 sectors (40008 MB) w/2048KiB Cache, CHS=4864/255/63, UDMA(100)
ide-floppy driver 0.99.newide
Partition check:
 hda: hda1 hda2 hda3 hda4 < hda5 hda6 hda7 >
ide-floppy driver 0.99.newide
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 2048 buckets, 16Kbytes
TCP: Hash tables configured (established 16384 bind 32768)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 135k freed
VFS: Mounted root (ext2 filesystem).
Journalled Block Device driver loaded
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 156k freed
ide: no cache flush required.
ide: no cache flush required.
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,2), internal journal
Adding Swap: 1076312k swap-space (priority -1)
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,1), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,3), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,5), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,6), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
parport0: PC-style at 0x378 [PCSPP,EPP]
parport_pc: Via 686A parallel port: io=0x378
ip_tables: (C) 2000-2002 Netfilter core team
PCI: Found IRQ 11 for device 00:08.0
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
See Documentation/networking/vortex.txt
00:08.0: 3Com PCI 3c905C Tornado at 0xd800. Vers LK1.1.18-ac
 00:04:76:8e:0a:b0, IRQ 11
  product code 4d57 rev 00.13 date 04-03-01
  Internal config register is 1800000, transceivers 0xa.
  8K byte-wide RAM 5:3 Rx:Tx split, autoselect/Autonegotiate interface.
  MII transceiver found at address 24, status 782d.
  Enabling bus-master transmits and whole-frame receives.
00:08.0: scatter/gather enabled. h/w checksums enabled
divert: allocating divert_blk for eth0
ip_tables: (C) 2000-2002 Netfilter core team
ip_tables: (C) 2000-2002 Netfilter core team
airo:  Probing for PCI adapters
airo: Doing fast bap_reads
divert: allocating divert_blk for eth1
divert: not allocating divert_blk for non-ethernet device wifi0
airo: MAC enabled eth1 0:40:96:35:53:77
airo: Doing fast bap_reads
divert: allocating divert_blk for eth2
divert: not allocating divert_blk for non-ethernet device wifi1
airo: MAC enabled eth2 0:40:96:34:bd:dd
airo:  Finished probing for PCI adapters
ip_conntrack version 2.1 (1984 buckets, 15872 max) - 292 bytes per conntrack
ip_tables: (C) 2000-2002 Netfilter core team
airo: BAP error 4000 2
Warning: kfree_skb passed an skb still on a list (from c011f128).
------------[ cut here ]------------
kernel BUG at skbuff.c:315!
invalid operand: 0000
cls_route cls_u32 cls_fw sch_prio sch_sfq sch_tbf sch_cbq ipt_state
iptable_filter ipt_MASQUERADE ip_conntrack_irc ip_nat_irc ip_conntrack_ftp
ip_nat_ftp ipta
CPU:    0
EIP:    0060:[<c01df47f>]    Not tainted
EFLAGS: 00010286

EIP is at __kfree_skb [kernel] 0x12f (2.4.20-2.24)
eax: 00000045   ebx: caac87c0   ecx: 00000001   edx: ceb24000
esi: c132ff98   edi: c02f6c70   ebp: c132e000   esp: c132ff84
ds: 0068   es: 0068   ss: 0068
Process keventd (pid: 2, stackpage=c132f000)
Stack: c025e5a0 c011f128 c132ff98 c011f128 caac87c0 cdbe42e4 cdbe42e4
c132e650
       00000000 c0127955 c02f6c70 00000001 00000000 c0367b00 00010000
00000000
       c0127860 00000000 c035a2c4 00000000 c132e000 00000000 00000000
c0127860
Call Trace:   [<c011f128>] __run_task_queue [kernel] 0x48 (0xc132ff88))
[<c011f128>] __run_task_queue [kernel] 0x48 (0xc132ff90))
[<c0127955>] context_thread [kernel] 0xf5 (0xc132ffa8))
[<c0127860>] context_thread [kernel] 0x0 (0xc132ffc4))
[<c0127860>] context_thread [kernel] 0x0 (0xc132ffe0))
[<c01072ad>] kernel_thread_helper [kernel] 0x5 (0xc132fff0))


Code: 0f 0b 3b 01 93 d3 25 c0 58 5a 8b 5c 24 08 e9 ce fe ff ff 8d

[root@machine grub]# cat /proc/version
Linux version 2.4.20-2.24 (bhcompile@daffy.perf.redhat.com) (gcc version
3.2.1 20021207 (Red Hat Linux 8.0 3.2.1-2)) #1 Mon Jan 20 17:51:45 EST 2003
[root@machine grub]# iwconfig
lo        no wireless extensions.

eth0      no wireless extensions.

Warning: Driver for device eth1 has been compiled with version 15
of Wireless Extension, while this program is using version 13.
Some things may be broken...

eth1      IEEE 802.11-DS  ESSID:"NET2"
          Mode:Managed  Frequency:2.412GHz  Access Point: 00:02:2D:0D:47:40
          Bit Rate:11Mb/s   Tx-Power=12 dBm   Sensitivity=0/65535
          Retry limit:16   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:4/10  Signal level:-64 dBm  Noise level:-256 dBm
          Rx invalid nwid:122036  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:802695   Missed beacon:19

wifi0     IEEE 802.11-DS  ESSID:"NET2"
          Mode:Managed  Frequency:2.412GHz  Access Point: 00:02:2D:0D:47:40
          Bit Rate:11Mb/s   Tx-Power=12 dBm   Sensitivity=0/65535
          Retry limit:16   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:4/10  Signal level:-64 dBm  Noise level:-256 dBm
          Rx invalid nwid:122036  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:802695   Missed beacon:19

eth2      IEEE 802.11-DS  ESSID:"Net1"
          Mode:Managed  Frequency:2.412GHz  Access Point: 00:40:96:58:7D:28
          Bit Rate:11Mb/s   Tx-Power=12 dBm   Sensitivity=0/65535
          Retry limit:16   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:5/10  Signal level:-67 dBm  Noise level:-256 dBm
          Rx invalid nwid:1  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:723   Missed beacon:0

wifi1     IEEE 802.11-DS  ESSID:"Net1"
          Mode:Managed  Frequency:2.412GHz  Access Point: 00:40:96:58:7D:28
          Bit Rate:11Mb/s   Tx-Power=12 dBm   Sensitivity=0/65535
          Retry limit:16   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:5/10  Signal level:-67 dBm  Noise level:-256 dBm
          Rx invalid nwid:1  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:723   Missed beacon:0

[root@machine grub]# rpm -qa|grep kernel
kernel-2.4.18-19.8.0
kernel-pcmcia-cs-3.1.31-12
kernel-2.4.20-2.24
[root@machine grub]# rpm -qa|grep wireless
wireless-tools-25-2
[root@machine grub]#
Comment 1 Bill Nottingham 2003-02-04 14:41:56 EST
Hm, looks like the driver didn't handle the BAP error right.
Comment 2 Ivo Sarak 2003-02-04 17:42:44 EST
What is this BAP and BAP error? What may cause it?
Comment 3 Ivo Sarak 2003-03-26 03:08:14 EST
From http://www.kismetwireless.net/documentation.shtml :

"'cisco_cvs': Linux kernel 2.4.20, sourceforge.net CVS driver release
Capture interface: wifiX
Notes: The new drivers use the interface ethX for normal operation and wifiX for
raw packet capturing. The interface for Kismet should be set to wifiX. These
drivers have a history of locking up under high loads and when entering/leaving
rfmon mode. "

As the newer  RedHat Linux kernels are 2.4.20 then maybe that is why it crashed
on me and perhaps it will crash on other reasons as well?
Comment 4 Ivo Sarak 2003-04-07 11:05:04 EDT
[root@ranume root]# uname -a
Linux ranume 2.4.20-8 #1 Thu Mar 13 16:42:56 EST 2003 i686 i686 i386
GNU/Linux
[root@ranume root]# cat /proc/version
Linux version 2.4.20-8 (bhcompile@stripples.devel.redhat.com) (gcc version
3.2.2 20030222 (Red Hat Linux 3.2.2-5)) #1 Thu Mar 13 16:42:56 EST 2003


Apr  7 17:30:01 ranume kernel: airo: BAP error 4000 2
Apr  7 17:30:01 ranume kernel: Warning: kfree_skb passed an skb still on a
list (from c011f338).
Apr  7 17:30:01 ranume kernel: ------------[ cut here ]------------
Apr  7 17:30:01 ranume kernel: kernel BUG at skbuff.c:315!
Apr  7 17:30:01 ranume kernel: invalid operand: 0000
Apr  7 17:30:01 ranume kernel: ipt_mac cls_route cls_u32 cls_fw sch_prio
sch_sfq sch_tbf sch_cbq ipt_MARK iptable_mangle ipt_state iptable_filter
ipt_MASQUERADE ip_conntrack_irc ip_nat_irc
Apr  7 17:30:01 ranume kernel: CPU:    0
Apr  7 17:30:01 ranume kernel: EIP:    0060:[<c01d8a1f>]    Not tainted
Apr  7 17:30:01 ranume kernel: EFLAGS: 00010286
Apr  7 17:30:01 ranume kernel:
Apr  7 17:30:02 ranume kernel: EIP is at __kfree_skb [kernel] 0x12f
(2.4.20-8)
Apr  7 17:30:02 ranume kernel: eax: 00000045   ebx: cb47d4e0   ecx: 00000001
edx: cec26000
Apr  7 17:30:02 ranume kernel: esi: c132ff98   edi: c02eb8f0   ebp: c132e000
esp: c132ff84
Apr  7 17:30:02 ranume kernel: ds: 0068   es: 0068   ss: 0068
Apr  7 17:30:02 ranume kernel: Process keventd (pid: 2, stackpage=c132f000)
Apr  7 17:30:02 ranume kernel: Stack: c0255440 c011f338 c132ff98 c011f338
cb47d4e0 cd3742e4 cd3742e4 c01281b0
Apr  7 17:30:02 ranume kernel:        00000000 c01282a5 c02eb8f0 00000001
00000000 c0349b00 00010000 00000000
Apr  7 17:30:02 ranume kernel:        c01281b0 00000000 c03441fc 00000000
c132e000 00000000 00000000 c01281b0
Apr  7 17:30:02 ranume kernel: Call Trace:   [<c011f338>] __run_task_queue
[kernel] 0x48 (0xc132ff88))
Apr  7 17:30:02 ranume kernel: [<c011f338>] __run_task_queue [kernel] 0x48
(0xc132ff90))
Apr  7 17:30:02 ranume kernel: [<c01281b0>] context_thread [kernel] 0x0
(0xc132ffa0))
Apr  7 17:30:02 ranume kernel: [<c01282a5>] context_thread [kernel] 0xf5
(0xc132ffa8))
Apr  7 17:30:02 ranume kernel: [<c01281b0>] context_thread [kernel] 0x0
(0xc132ffc4))
Apr  7 17:30:02 ranume kernel: [<c01281b0>] context_thread [kernel] 0x0
(0xc132ffe0))
Apr  7 17:30:02 ranume kernel: [<c01072ad>] kernel_thread_helper [kernel]
0x5 (0xc132fff0))
Apr  7 17:30:02 ranume kernel:
Apr  7 17:30:02 ranume kernel:
Apr  7 17:30:02 ranume kernel: Code: 0f 0b 3b 01 33 42 25 c0 58 5a 8b 5c 24
08 e9 ce fe ff ff 8d

[root@ranume root]# lsmod
Module                  Size  Used by    Not tainted
ipt_mac                 1144  42  (autoclean)
cls_route               5112   0  (unused)
cls_u32                 5916   1
cls_fw                  3288   0  (unused)
sch_prio                3712   0  (unused)
sch_sfq                 4032   0  (unused)
sch_tbf                 3360   1
sch_cbq                14368   1
ipt_MARK                1336   1  (autoclean)
iptable_mangle          2680   1  (autoclean)
ipt_state               1048   1  (autoclean)
iptable_filter          2316   1  (autoclean)
ipt_MASQUERADE          2072   4  (autoclean)
ip_conntrack_irc        3984   1  (autoclean)
ip_nat_irc              3152   0  (unused)
ip_conntrack_ftp        5008   1  (autoclean)
ip_nat_ftp              3888   0  (unused)
iptable_nat            20472   3  [ipt_MASQUERADE ip_nat_irc ip_nat_ftp]
ip_conntrack           25888   4  [ipt_state ipt_MASQUERADE ip_conntrack_irc
ip_nat_irc ip_conntrack_ftp ip_nat_ftp iptable_nat]
ip_tables              14488   9  [ipt_mac ipt_MARK iptable_mangle ipt_state
iptable_filter ipt_MASQUERADE iptable_nat]
airo                   45032   2
3c59x                  29360   1
ext3                   64704   5
jbd                    47828   5  [ext3]
[root@ranume root]#
Comment 5 Ivo Sarak 2003-04-07 11:09:26 EDT
... 2.4.18 series is working fine.
Comment 6 Ivo Sarak 2003-04-09 15:06:28 EDT
What is this bug 79579?
Any hope to get this fixed or at least confirmed?

Comment 7 Aaron Baer 2003-04-25 15:35:18 EDT
Any Idea if or when this is going to be fixed in the kernel for RH 9?
Comment 8 Need Real Name 2003-05-14 15:06:47 EDT
I'm almost the same problems with RH9, first my keyboard stops working, but it
appears that I can still do things like check e-mail with the mouse.  The last
time the keyboard stopped working I tried connecting to my laptop from the
network but it was no longer on it,  one time it froze up everything and I had
to reset it.

kernel-2.4.20-9
kernel-pcmcia-cs-3.1.31-13

Message from /var/log/messages


May 14 13:51:30 localhost kernel: airo: BAP error 4000 2
May 14 13:51:31 localhost kernel: Warning: kfree_skb passed an skb still on a
list (from c01219fa).
May 14 13:51:31 localhost kernel: ------------[ cut here ]------------
May 14 13:51:31 localhost kernel: kernel BUG at skbuff.c:315!
May 14 13:51:31 localhost kernel: invalid operand: 0000
May 14 13:51:31 localhost kernel: nls_iso8859-1 nls_cp437 vfat fat ide-cd cdrom
ymfpci ac97_codec uart401 sound soundcore parport_pc lp parport autofs airo_cs
airo ds yenta_socket pcmcia_core
May 14 13:51:31 localhost kernel: CPU:    0
May 14 13:51:31 localhost kernel: EIP:    0060:[<c01f1994>]    Not tainted
May 14 13:51:31 localhost kernel: EFLAGS: 00010282
May 14 13:51:31 localhost kernel:
May 14 13:51:31 localhost kernel: EIP is at __kfree_skb [kernel] 0x144 (2.4.20-9)
May 14 13:51:31 localhost kernel: eax: 00000045   ebx: c36c8980   ecx: 00000001
  edx: c978e000
May 14 13:51:31 localhost kernel: esi: c1823f90   edi: c1822306   ebp: c1822000
  esp: c1823f78
May 14 13:51:31 localhost kernel: ds: 0068   es: 0068   ss: 0068
May 14 13:51:31 localhost kernel: Process keventd (pid: 2, stackpage=c1823000)
May 14 13:51:32 localhost kernel: Stack: c0275480 c01219fa c1822306 c1823f90
c01219fa c36c8980 ca56c2e4 ca56c2e4
May 14 13:51:32 localhost kernel:        00000001 c025e19b c012b9a3 c030ca70
c1823fb0 00000000 00000001 00000000
May 14 13:51:32 localhost kernel:        cbfa9f90 00010000 00000000 c012b890
00000000 c036945c 00000000 c1822000
May 14 13:51:32 localhost kernel: Call Trace:   [<c01219fa>] __run_task_queue
[kernel] 0x5a (0xc1823f7c))
May 14 13:51:32 localhost kernel: [<c01219fa>] __run_task_queue [kernel] 0x5a
(0xc1823f88))
May 14 13:51:32 localhost kernel: [<c012b9a3>] context_thread [kernel] 0x113
(0xc1823fa0))
May 14 13:51:32 localhost kernel: [<c012b890>] context_thread [kernel] 0x0
(0xc1823fc4))
May 14 13:51:32 localhost kernel: [<c012b890>] context_thread [kernel] 0x0
(0xc1823fe0))
May 14 13:51:32 localhost kernel: [<c010742d>] kernel_thread_helper [kernel] 0x5
(0xc1823ff0))
May 14 13:51:33 localhost kernel:
May 14 13:51:33 localhost kernel:
May 14 13:51:33 localhost kernel: Code: 0f 0b 3b 01 73 42 27 c0 8b 5c 24 14 e9
be fe ff ff 8d 74 26
May 14 13:51:33 localhost kernel:  <3>airo: BAP error 4000 2


Comment 9 Alan Cox 2003-06-08 16:25:00 EDT
*** Bug 88675 has been marked as a duplicate of this bug. ***
Comment 10 Alan Cox 2003-06-22 14:33:05 EDT
*** Bug 97187 has been marked as a duplicate of this bug. ***
Comment 11 Jonathon M. Robison 2003-07-03 11:18:59 EDT
According to http://sourceforge.net/tracker/?
atid=382983&group_id=24926&func=browse this is related to the firmware version 
on the card. (i.e. 5.X does this, 4.25.30 does not). However, I run with 
4.25.30 firware and it's happening to me.

The author of this driver appears to have abandoned it. (Ben Reed) He told me 
himself he hasn't messed with it in a year.

One other person at that URL suggests that the drivers from Cisco don't have 
this problem. I have not yet been able to verify that, but if true, are they 
GPL? Can our next kernel update have the cisco drivers?
Comment 12 Ivo Sarak 2003-07-22 16:25:49 EDT
I managed to reboot the box today and in 4 hours there was "Kernel PANIC!" all
over the place - somehow kernel-2.4.20-18.9 has managed to to set itself as
default kernel. 
Can anyone confirm if some newer release (2.4/2.6) of kernel has the aironet
driver fixed or when it may happen?
Comment 13 Jonathon M. Robison 2003-07-22 16:38:11 EDT
Javier Achirica and Ben Reed worked on it in the last few days. They have 
posted a 1.53 version of airo.c at sourceforge, in the cvs tree, not in 
the "files" section.

According to Javier, he found a race in the transmission path. Download airo.c 
and airo.h, put them in the right place in your kernel src tree, make modules, 
and copy the resulting airo.o into your /lib/modules.

Let's hope the major vendors pick up on this fix (if it works) and update the 
kernel rpm's.
Comment 14 Richard Kinder 2003-07-26 21:33:11 EDT
I can confirm that for my situation (vnc via the wireless interface to a laptop
also on the wireless) the updated drivers from the sourceforge page work. I have
been using vnc via the wireless interface now for the past 20 minutes (usually
crashes the kernel after ~2 seconds of heavy traffic).

My method for building:

1) Get kernel-2.4.20-8.src.rpm, transfer to the affected machine (could be
problematic if the airo wireless is the only network interface ;) - in this
case, 'split' and 'cat' are your friends)

2) Install the rpm: rpm -Uvh kernel-2.4.20-8.src.rpm

3) cd /usr/src/redhat/SPECS

4) sudo rpmbuild -bp kernel-2.4.spec (patch a source tree)

5) cd /usr/src/redhat/BUILD/kernel-2.4.20/linux-2.4.20

6) Edit the top level makefile, change 'EXTRAVERSION' from '-pre3' to '-8'

7) Copy the appropriate config from /usr/src/redhat/SOURCES - eg:
     cp /usr/src/redhat/SOURCES/kernel-2.4.20-athlon.config
/usr/src/redhat/BUILD/kernel-2.4.20/linux-2.4.20/.config

8) Get the airo files from sourceforge cvs: see
http://sourceforge.net/cvs/?group_id=24926 for instructions on how to do this.
The module you want is 'airo-linux'

9) Copy the files from the 'airo-linux/kernel' directory to
/usr/src/redhat/BUILD/kernel-2.4.20/linux-2.4.20/drivers/net/wireless

10) build dependencies: make dep

11) build modules: make modules

12) Copy the module object files into the appropriate directory: cp
/usr/src/redhat/BUILD/kernel-2.4.20/linux-2.4.20/drivers/net/wireless/airo*.o
/lib/modules/2.4.20-8/kernel/drivers/net/wireless
 *NOTE: you may want to back up the original driver object files first*

13) Bring the wireless interface down (/sbin/ifdown ethN)

14) Unload the old modules: /sbin/rmmod airo airo_cs

15) /sbin/depmod

16) Load the new modules (in my case, /sbin/cardctl eject 0; /sbin/cardctl insert 0)

Test it out!

Hope this helps.

Regards,
   Richard
Comment 15 Jonathon M. Robison 2003-07-31 08:18:11 EDT
I grabbed the 1.53 after Javier fixed it. Copied airo.c and airo.h 
to /usr/src/linux/blah/blah/blah
Edit airo.c to undefine MICSUPPORT (If you want it, get the other .c and .h 
files from the CVS tree)
make modules
copied the resulting airo.o up to /lib/modules

Works like a charm, haven't had a single problem since doing this.

Kernel is 2.4.20-86 Uniprocessor, laptop, Dell Latitude C600
Comment 16 Adam Ellis 2003-11-11 21:14:54 EST
This may or may not be relevant.  I never had this problem until I
started to run Fluxbox with GKRellM.  I have a Dell Inspiron 4150 and
an Airo 350.  My co-worker has a Sony Vaio R505-EL and he *also* did
not have this problem until he started running Flux / GKRellM.  We
both ditched GKRellM and have never had the problem again.
Comment 17 Jonathon M. Robison 2003-11-12 09:01:39 EST
I am somewhat concerned that the major vendors appear to not have
picked up on the update. Last time I checked, everyone's latest distro
shipped with 0.6, STILL.

Anyone have a clue why this is?
Comment 18 Arjan van de Ven 2003-11-12 09:03:21 EST
We hesitate to pick up drivers that are not included in the upstream
kernel... I'm sure the others have the same or a very similar policy 
Comment 19 Marian 2004-09-24 08:58:02 EDT
My kernel RH9 2.4.20-31.9 reports this error when i runn snmpd and 
mrtg 5min query from another point.
Bug crash afther 12 hours.
Comment 20 Bugzilla owner 2004-09-30 11:40:29 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.